function setup()
	room.addActor()
	actor.nodeName = "GLORIFIED VENDING MACHINE"
	actor.displayName = "SHOP"
	actor.setIcon("iconstation.png")
	actor.solid = 1
	
	--actor.addMessage("AUTOMATED HUMAN SUPPLY STATION DETECTED", "stolenrobot", 2)
	--actor.addMessage("AUTOMATED HUMAN SUPPLY STATION DETECTED", "", 0, 1)
	
	actor.addWave("station", 1, 0, "", "", 1)	--adds the wave, but doesn't start a battle
	wave.spawnmode = 2				--don't warp in, just appear
	wave.faction = 1					--player's faction
	--wave.tilex = 0
	--wave.tiley = 4
	
	actor.addWave("stationturret1", 2, room.wave, turret)
	wave.spawnmode = 2	--don't warp in, just appear
	wave.faction = 1		--player's faction
	
	actor.addWave("stationturret2", 2, room.wave, turret)
	wave.spawnmode = 2	--don't warp in, just appear
	wave.faction = 1		--player's faction
	
	--set the boss HP bar reactive things
	actor.addEvent("boss_station", 0)
	actor.addEvent("bossfriendly_1", 0)
	
	--double the number of enemies spawned
	actor.addEvent("spawncountx_1.5", 0)
	
	--station is a shop if it survived, explodes otherwise
	actor.addEvent("station", 5)

end